@extends('layouts.user_new')
@section('content')
    <div class="row">
        <div class="col-12">
            <h4 class="mb-5">
                <span class="text-top-title">Все посылки</span>
            </h4>
        </div>
    </div>

    {{--    {{dd($package->status_class)}}--}}
    <section class="section section-inset-1">
        <div class="container">
            <div class="row">
                <div class="col-12">
                    <nav>
                        <div class="nav nav-tabs" id="nav-tab" role="tablist">
                            <a class="nav-item nav-link {{ ($status_id == 0)?'active':''}}"
                               href="{{ route('package') }}"> Все посылки
                                <span class="badge badge-pill badge-primary">{{ $count }}</span>
                            </a>
                            @foreach($statuses as $item)
                                <a class="nav-item nav-link {{ ($status_id == $item->id)?'active':''}}"
                                   href="{{ route('package', ['status_id' => $item->id ]) }}"> {{ $item->title }}
                                    <span class="badge badge-pill badge-primary">{{ $item->count }}</span>
                                </a>
                            @endforeach
                            {{--                            <a class="nav-item nav-link {{ $active == \App\Models\Package::STATUS_PENDING ? 'active' : '' }}" href="{{ route('packagePending') }}"> Ожидаются--}}
                            {{--                                @if($countPackages['onPending'] !== 0)--}}
                            {{--                                    <span class="badge badge-pill badge-{{ \App\Models\Package::$statuses_colors[\App\Models\Package::STATUS_PENDING] }}">{{ $countPackages['onPending'] }}</span>--}}
                            {{--                                @endif--}}
                            {{--                            </a>--}}
                            {{--                            <a class="nav-item nav-link {{ $active == \App\Models\Package::STATUS_INSTORE ? 'active' : '' }}" href="{{ route('packageInwarehouse') }}">На складе--}}
                            {{--                                @if($countPackages['inStore'] !== 0)--}}
                            {{--                                    <span class="badge badge-pill badge-{{ \App\Models\Package::$statuses_colors[\App\Models\Package::STATUS_INSTORE] }}">{{ $countPackages['inStore'] }}</span>--}}
                            {{--                                @endif--}}
                            {{--                            </a>--}}
                            {{--                            <a class="nav-item nav-link {{ $active == \App\Models\Package::STATUS_ONPACKING ? 'active' : '' }}" href="{{ route('packagePacking') }}">На упаковке--}}
                            {{--                                @if($countPackages['onPacking'] !== 0)--}}
                            {{--                                    <span class="badge badge-pill badge-{{ \App\Models\Package::$statuses_colors[\App\Models\Package::STATUS_ONPACKING] }}">{{ $countPackages['onPacking'] }}</span>--}}
                            {{--                                @endif--}}
                            {{--                            </a>--}}
                            {{--                            <a class="nav-item nav-link {{ $active == \App\Models\Package::STATUS_SENT ? 'active' : '' }}" href="{{ route('packageSent') }}">Отправленные--}}
                            {{--                                @if($countPackages['sent'] !== 0)--}}
                            {{--                                    <span class="badge badge-pill badge-{{ \App\Models\Package::$statuses_colors[\App\Models\Package::STATUS_SENT] }}">{{ $countPackages['sent'] }}</span>--}}
                            {{--                                @endif--}}
                            {{--                            </a>--}}
                            {{--                            <a class="nav-item nav-link {{ $active == \App\Models\Package::STATUS_DELIVERED ? 'active' : '' }}" href="{{ route('packageDelivered') }}" >Доставленные--}}
                            {{--                                @if($countPackages['delivered'] !== 0)--}}
                            {{--                                    <span class="badge badge-pill badge-{{ \App\Models\Package::$statuses_colors[\App\Models\Package::STATUS_DELIVERED] }}">{{ $countPackages['delivered'] }}</span>--}}
                            {{--                                @endif--}}
                            {{--                            </a>--}}
                        </div>
                    </nav>
                </div>
            </div>
            <div class="row">
                <div class="col-md-12">
                    <div class="table-responsive">
                        <table class="table table-hover bg-white shadow-sm table-bordered">
                            <thead class="thead-light">
                            <tr>
                                <th>№</th>
                                <th>Статус</th>
                                <th>Трек №</th>
                                <th>Количество товаров</th>
                                <th>Стоимость товаров</th>
                                <th>Вес</th>
                                <th>Стоимость доставки</th>
                                <th>FedEx</th>
                            </tr>
                            </thead>
                            <tbody>
                            @foreach($orders as $package)
                                <tr>
                                    <td class="text-center">{{ $package->id }}</td>
                                    <td class="text-center"><span
                                            class="badge shadow badge-{{ $package->status_class }}">{{ $package->statuses }}</span>
                                    </td>
                                    <td class="text-center">{{ $package->track_number }}</td>
                                    <td class="d-flex justify-content-between align-items-center">
                                        <span class="badge badge-primary badge-pill">{{ $package->amount }}</span>
                                        <a href="/declaration/{{ $package->id }}" target="_blank">Декларация</a>
                                    </td>
                                    <td class="text-center">${{ $package->price }}</td>
                                    <td class="text-center">{{ $package->weight }} кг</td>
                                    <td class="text-center">$ {{ $package->summa }}</td>
                                    <td class="text-center"><a href="{{ ($package->is_site == 1)?'/get-fedex-label/'.$package->id:'#' }}" target="_blank">{{ ($package->is_site == 1)?'Распечатать':'No label' }}</a></td>
                                </tr>
                            @endforeach
                            </tbody>
                        </table>
                        </table>
                    </div>
                    <!-- RD Mailform-->

                    <a href="packages/create/{{ Auth::user()->id }}" class="btn btn-success shadow">Добавить посылку</a>
                </div>
            </div>
            <div class="row mt-5">
                <div class="col-12">
                    @include('pages.parcels.status_description')
                </div>
            </div>
        </div>
    </section>

    {{--    @include('pages.parcels.declaration_modal')--}}
@endsection
